
using System.Collections.Generic;
using System;

[System.Serializable]
public class AtomeProps {
    public string yeardiscovered;
    public string atomicmass;
    public string standardstate;
    public string groupblock;
    public string discovered_by;
    public string named_by;
}

[System.Serializable]
public class Representation {
    public string color;
}

[System.Serializable]
public class AtomeInformation
{
    public int atomicNumber;
    public string symbol;
    public string name;
    public int protons;
    public int neutrons;
    public AtomeProps properties;
    public Representation representation;
}

[System.Serializable]
public class AtomesInformation
{
    // liste des liason entre les atoms
    public AtomeInformation[] atomes;
}